--- gnat_util-gpl-2014-src/Makefile.old	2016-12-28 09:56:49.378950217 +0100
+++ gnat_util-gpl-2014-src/Makefile	2016-12-28 09:57:12.301562519 +0100
@@ -19,17 +19,26 @@
 MKDIR=mkdir -p
 SRC=gen_src
 
-.PHONY: all
-all: generate_sources
+build-static:
 	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
-		-XLIBRARY_TYPE=static -Pgnat_util -p
+		-XLIBRARY_TYPE=static -Pgnat_util -p \
+		-cargs:ada $(ADAFLAGS) -cargs:C $(CFLAGS)
-ifeq ($(ENABLE_SHARED), yes)
+build-shared:
 	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
-		-XLIBRARY_TYPE=relocatable -Pgnat_util -p
+		-XLIBRARY_TYPE=relocatable -Pgnat_util -p \
+		-cargs:ada $(ADAFLAGS) -cargs:C $(CFLAGS)
-endif
-ifeq ($(ENABLE_PIC), yes)
+build-static-pic:
 	${BUILDER} -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
-		-XLIBRARY_TYPE=static-pic -Pgnat_util -p
+		-XLIBRARY_TYPE=static-pic -Pgnat_util -p \
+		-cargs:ada $(ADAFLAGS) -cargs:C $(CFLAGS)
+.PHONY: all
+all: generate_sources
+	$(MAKE) build-static
+ifeq ($(ENABLE_SHARED), yes)
+	$(MAKE) build-shared
+endif
+ifeq ($(ENABLE_PIC), yes)
+	$(MAKE) build-static-pic
 endif
 
 .PHONY: generate_sources
@@ -48,7 +48,7 @@
 	$(MKDIR) $(SRC)
 	$(CP) xsnamest.adb xutil.* snames.adb-tmpl snames.ads-tmpl snames.h-tmpl $(SRC)
 	(cd $(SRC) && \
-	   gnatmake -gnatf -gnatwae -gnatyg -gnatyS xsnamest && \
+	   ${GNATMAKE} -gnatf -gnatwae -gnatyg -gnatyS xsnamest && \
 	   ./xsnamest && mv snames.ns snames.ads && mv snames.nb snames.adb)
 	$(CP) sdefault_adb.gnat_util $(SRC)/sdefault.adb
 
@@ -58,8 +58,7 @@
 		--prefix=$(prefix) --project-subdir=lib/gnat gnat_util
 endif
 
-.PHONY: install
-install: install-clean
+install-static:
 	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=static \
 		--prefix=$(prefix) \
@@ -67,7 +66,7 @@
 		--lib-subdir=lib/gnat_util/static \
 		--project-subdir=lib/gnat \
 		--build-var=LIBRARY_TYPE --build-name=static -Pgnat_util
-ifeq ($(ENABLE_SHARED), yes)
+install-shared:
 	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=relocatable \
 		--prefix=$(prefix) \
@@ -75,8 +74,7 @@
 		--lib-subdir=lib/gnat_util/relocatable \
 		--project-subdir=lib/gnat \
 		--build-var=LIBRARY_TYPE --build-name=relocatable -Pgnat_util
-endif
-ifeq ($(ENABLE_PIC), yes)
+install-static-pic:
 	${INSTALLER} -p -f -m -XOS=$(OS_TYPE) -XBUILD=$(BUILD_TYPE) \
 		-XLIBRARY_TYPE=static-pic \
 		--prefix=$(prefix) \
@@ -84,6 +82,14 @@
 		--lib-subdir=lib/gnat_util/static-pic \
 		--project-subdir=lib/gnat \
 		--build-var=LIBRARY_TYPE --build-name=static-pic -Pgnat_util
+.PHONY: install
+install: install-clean
+	$(MAKE) install-static
+ifeq ($(ENABLE_SHARED), yes)
+	$(MAKE) install-shared
+endif
+ifeq ($(ENABLE_PIC), yes)
+	$(MAKE) install-static-pic
 endif
 
 .PHONY: clean
--- gnat_util-gpl-2016-src/gnat_util.gpr.old	2017-02-09 22:15:27.153827164 +0100
+++ gnat_util-gpl-2016-src/gnat_util.gpr	2017-02-09 22:15:38.307627480 +0100
@@ -31,6 +31,7 @@
             for Default_Switches ("Ada") use ("-O0", "-gnato", "-g", "-gnata");
             for Default_Switches ("C") use ("-g");
       end case;
+      for Driver ("C") use External ("CC", "gcc");
    end Compiler;
 
    package Builder is
